Loading...
Searching...
No Matches
MappableDigraphComponent< BAS > Class Template Reference

## Detailed Description

template<typename BAS = BaseDigraphComponent>
class lemon::concepts::MappableDigraphComponent< BAS >

This class describes the interface of mappable directed graphs. It extends BaseDigraphComponent with the standard digraph map classes, namely `NodeMap` and `ArcMap`. This concept is part of the Digraph concept.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for MappableDigraphComponent< BAS >:
[legend]

## Classes

class | NodeMap
| Standard graph map for the nodes. More...
class | ArcMap
| Standard graph map for the arcs. More...

## Additional Inherited Members

Public Types inherited from BaseDigraphComponent
typedef GraphItem< 'n'> | Node
| Node class of the digraph.
typedef GraphItem< 'a'> | Arc
| Arc class of the digraph.
Public Member Functions inherited from BaseDigraphComponent
Node | source (const Arc &) const
| Return the source node of an arc.
Node | target (const Arc &) const
| Return the target node of an arc.
Node | oppositeNode (const Node &, const Arc &) const
| Return the opposite node on the given arc.